Bug 6487 - Missing DFS call in trans2 mkdir call.
Missing DFS call in trans2 mkdir call.
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
unspecified
All All
: P3 major
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 17:13 UTC by Jeremy Allison
Modified: 2009-07-29 06:08 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 3.4.0 (805 bytes, patch)
2009-06-18 17:15 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2009-06-18 17:13:37 UTC
In 3.2, 3.3 and 3.4 there is a missing call to process a DFS path in the trans2 mkdir code. This would cause a DFS aware client making this call to fail against a Samba server.
Jeremy.
Comment 1 Jeremy Allison 2009-06-18 17:15:11 UTC
Created attachment 4314 [details]
Patch for 3.4.0

Volker, please review these patches and re-assign to Karolin for inclusion if you're happy with them.
Thanks,
Jeremy.
Comment 2 Jeremy Allison 2009-06-18 17:18:43 UTC
Volker & Karolin, the patch for 3.4.0 also applies against v3-3-test and v3-2-test as well. Thanks for the review !
Jeremy.
Comment 3 Volker Lendecke 2009-06-19 03:00:24 UTC
*Are* there any DFS-aware clients using this call? Is OS/2 msdfs-aware? :-))

For clarity, this patch is certainly right.

Volker
Comment 4 Karolin Seeger 2009-06-19 03:15:52 UTC
Pushed to v3-4-test, v3-3-test and v3-2-test.
Closing out bug report.

Thanks!
Comment 5 Jeremy Allison 2009-06-19 10:22:04 UTC
I don't know if any DFS-aware clients are using this call. I discovered it when fixing the code in master to use a boilerplate set of functions for this case.
Thanks for the review !
Jeremy.